Package org.apache.qpid.proton.codec

# Class AMQPDefinedTypes

java.lang.Object
org.apache.qpid.proton.codec.AMQPDefinedTypes

public class AMQPDefinedTypes extends Object

## Constructor Summary

Constructors
Constructor
Description
`AMQPDefinedTypes()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`registerAllTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
`registerMessagingTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
`registerSecurityTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
`registerTransactionTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
`registerTransportTypes(Decoder decoder, EncoderImpl encoder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AMQPDefinedTypes

public AMQPDefinedTypes()

## Method Details

### registerAllTypes

public static void registerAllTypes(Decoder decoder, EncoderImpl encoder)

### registerTransportTypes

public static void registerTransportTypes(Decoder decoder, EncoderImpl encoder)

### registerMessagingTypes

public static void registerMessagingTypes(Decoder decoder, EncoderImpl encoder)

### registerTransactionTypes

public static void registerTransactionTypes(Decoder decoder, EncoderImpl encoder)

### registerSecurityTypes

public static void registerSecurityTypes(Decoder decoder, EncoderImpl encoder)